app.controller("UserProfileCtrl", function($scope, $state, $ionicLoading, $ionicSideMenuDelegate, $ionicModal, UserAuthService) {
  $scope.nameRegex = regexCollection.displayname;
  //console.log(memberDetails);
  $scope.account = {};
  $scope.account.email = memberDetails.email;
  $scope.account.displayname = memberDetails.displayname;
  $scope.account.icon = memberDetails.icon;
  $scope.account.iconcolor = memberDetails.iconcolor;
  $scope.account.pv_add = memberDetails.pv.pv_add;
  $scope.account.pv_msg = memberDetails.pv.pv_msg;
  //$scope.account.isProfileInvalid = false;
  $ionicModal.fromTemplateUrl('js/templates/common/avatar-list.html', {
    scope: $scope,
    animation: 'slide-in-up'
  }).then(function(modal) {
    $scope.modal = modal;
  });
  $scope.chooseAvatar = function(){
    //$state.go('chooseavatar');
    $scope.modal.show();
  };
  $scope.saveAvatar = function(newIcon){
  	//console.log(newIcon);
  	$scope.account.icon = newIcon;
    //$state.go('editmyprofile');
    $scope.modal.hide();
  };
  $scope.chooseAvatarColor= function(){
    // ng-change="chooseAvatarColor()"
  };
  var successCallback = function(data){
    //console.log(data);
    if(data.issuccess){     
      memberDetails.displayname =  $scope.account.displayname;
      memberDetails.icon = $scope.account.icon;
      memberDetails.iconcolor = $scope.account.iconcolor;
      memberDetails.pv.pv_add = $scope.account.pv_add;
      memberDetails.pv.pv_msg = $scope.account.pv_msg;
      $ionicLoading.hide();
      $state.go('defaultpage');
    }
    else{
      alert('oops something went wrong! We are sorry! ');
      $ionicLoading.hide();
    }
  };
  $scope.saveProfile = function(){
    $ionicLoading.show();
    var dataToSet = {
    	email: memberDetails.email, 
    	dn: $scope.account.displayname, 
      i: $scope.account.icon, 
      ic: $scope.account.iconcolor, 
      pv_msg: $scope.account.pv_msg, 
      pv_add: $scope.account.pv_add
    };    
    UserAuthService.updateProfile(dataToSet, successCallback);
  };
});

app.controller("PlayerUpdatePageCtrl", function($scope, $state, $ionicLoading, $ionicSideMenuDelegate, UserAuthService, SocketService, ChatRoomService) {
  $scope.nameRegex = regexCollection.playername;
  $ionicLoading.hide();
  console.log(myPlayers);
  $scope.totalPlayers = myPlayers.length;
  $scope.players = myPlayers;
  var newPlayerName= "";
  $scope.remainingPlayers = totalWicketsGame + 1 - myPlayers.length 
  $scope.savePlayer = function(playername){
    $ionicLoading.show();
    $scope.playername = "";
    newPlayerName = playername;
    UserAuthService.insertPlayer(playername, successCallback);
  }
  function successCallback(){
    myPlayers.push({"name": newPlayerName, "runs":0, "matches":0});
    $scope.players = myPlayers;
    $scope.totalPlayers = myPlayers.length;
    $scope.remainingPlayers = totalWicketsGame + 1 - myPlayers.length 
    if(myPlayers.length > totalWicketsGame)
      $state.go('viewmyplayers');
    else
      $ionicLoading.hide();
  }
});
app.controller("PlayerViewPageCtrl", function($scope, $state, $ionicLoading, $ionicSideMenuDelegate, UserAuthService, SocketService, ChatRoomService) {
  $scope.players = myPlayers;
  $ionicLoading.hide();
});