
app.config(function($stateProvider, $urlRouterProvider) {

  $stateProvider
    .state('signin', {
      url: "/sign-in",
      templateUrl: "js/templates/signin-form.html",
      controller: 'SignInCtrl'
    })
    .state('signup', {
      url: "/sign-up",
      templateUrl: "js/templates/signup-form.html",
      controller: 'SignUpCtrl'
    })
    .state('forgotpassword', {
      url: "/forgot-password",
      templateUrl: "js/templates/forgot-password.html",
      controller: 'RetrivePasswordCtrl'
    })
    .state('playGame', {
      //url: "/play-game",
      templateUrl: "js/templates/playgame.html",
      controller: 'StartGameCtrl'
    })
    .state('editmyprofile', {
      //url: "/my-profile",
      //url:"default-page",
      templateUrl: "js/templates/userprofile.html",
      controller: 'UserProfileCtrl'
    })
    .state('viewmyplayers', {
      //url: "/my-profile",
      //url:"default-page",
      templateUrl: "js/templates/userplayers-view.html",
      controller: 'PlayerViewPageCtrl'
    })
    .state('updatemyplayers', {
      //url: "/my-profile",
      //url:"default-page",
      templateUrl: "js/templates/userplayers-edit.html",
      controller: 'PlayerUpdatePageCtrl'
    })
    .state('defaultpage', {
      url: "/default-page",
      templateUrl: "js/templates/default-page.html",
      controller: 'DefaultPageCtrl'
    })
    .state('pendingGames', {
      url: "/pending-games",
      templateUrl: "js/templates/pending-games.html",
      controller: 'PendingGamesCtrl'
    })
    .state('completedGames', {
      url: "/completed-games",
      templateUrl: "js/templates/completed-games.html",
      controller: 'CompletedGamesCtrl'
    })
    .state('chooseavatar', {
      //url: "/default-page",
      templateUrl: "js/templates/chooseavatar.html",
      controller: 'UserProfileCtrl'
    })
    .state('initRouter', {
      url: "/initrouter",
      templateUrl: "js/templates/common/loader-view.html",
      controller: 'initLoader'
    })
    .state('nointernet', {
      //url: "/nointernet",
      templateUrl: "js/templates/nointernet-view.html",
      controller: 'nointernet'
    });
   $urlRouterProvider.otherwise("/initrouter");
})