var app = angular.module('starter', ['ionic']);
app.config(['$httpProvider', function ($httpProvider) {
  //Reset headers to avoid OPTIONS request (aka preflight)
  $httpProvider.defaults.headers.common = {};
  $httpProvider.defaults.headers.post = {};
  $httpProvider.defaults.headers.put = {};
  $httpProvider.defaults.headers.patch = {};
  $httpProvider.defaults.headers.common['X-SessionToken'] = (new Date()).getTime();
}]);
app.run(function($ionicPlatform) {
  $ionicPlatform.ready(function() {
    // Hide the accessory bar by default (remove this to show the accessory bar above the keyboard
    // for form inputs)
    if(window.cordova && window.cordova.plugins.Keyboard) {
      cordova.plugins.Keyboard.hideKeyboardAccessoryBar(false);
    }
    if(window.StatusBar) {
      StatusBar.styleDefault();
    }
  });
});
var globalVars = {
  curRoomName: "World Cup Match",
  curRoom: "cricketwall",
  curRoomId: 0,
  player:0
};
var isFirstLoad = true;
var initAuth;
var source;
var isInternet = false;
var baseUrl = "http://api.cricketwall.com";
//var baseUrl = "http://127.0.0.1:1337";
var socket = null;
var isJoinedClicked = false;
var isContinue = false;
var currMatch = 0;
var currOppn = " (Yet to Join) ";
var myPlayers = [
    {"upid": 1, "name": "Player 1"},  
    {"upid": 2, "name": "Player 2"}, 
    {"upid": 3, "name": "Player 3"}, 
    {"upid": 4, "name": "Player 4"}, 
    {"upid": 5, "name": "Player 5"}, 
    {"upid": 6, "name": "Player 6"}]
if(typeof(io) != "undefined" && io){isInternet = true;socket = io.connect(baseUrl)}
var regexCollection = {
  email:/^(([^<>()[\]\\.,;:\s@\"]+(\.[^<>()[\]\\.,;:\s@\"]+)*)|(\".+\"))@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\])|(([a-zA-Z\-0-9]+\.)+[a-zA-Z]{2,}))$/,
  displayname: /^[a-zA-Z0-9\s\-\_\*\(\)]+$/,
  playername: /^[a-zA-Z0-9\s\-\_\.]+$/
};
var totalWicketsGame = 5;
var sessionData = {
  sessionId: window.localStorage.getItem("sessionId"),
  tempSession: window.localStorage.getItem("tempSession")
};
var memberDetails = {
  isGuest: true,
  email:'',
  displayname:'Guest',
  win:0,
  loss:0,
  draw:0,
  loginProvider:'',
  icon:'ion-android-contact',
  iconcolor:'def',
  pv:{
    pv_add: false,
    pv_msg:0
  }
};
var dataFill = function(data){
  sessionData.sessionId = data.user.sessionid;
  sessionData.tempSession = data.user.id;
  localStorage.setItem("sessionId", data.user.sessionid);
  localStorage.setItem("tempSession", data.user.id);
  memberDetailsFill(data);
};
var memberDetailsFill = function(data){
  memberDetails = {
    isGuest: false,
    email:data.user.email,
    id:data.user.id,
    displayname:data.user.displayname,
    loginProvider:'',
    icon:data.user.icon,
    iconcolor:data.user.iconcolor,
    pv:{
      pv_add: data.user.pv_add == 1 ? true : false,
      pv_msg:data.user.pv_msg
    }
  }
};


