app.controller('SignInCtrl', function($scope, $timeout, $ionicLoading, $state, UserAuthService) {
	$scope.emailRegex = regexCollection.email;
	$scope.email = '';
	$scope.password = '';
	$scope.loginFailed = false;
	$scope.forgotPassword = function(){
		$state.go('forgotpassword');
	};
	$scope.signInFacebook = function(){
		initAuth.login('facebook', {
		  rememberMe: true,
		  scope: 'email,user_likes'
		});
	};
	var successCallback = function(data){
		//console.log(data);
		if(data.issuccess){
			dataFill(data);
			$state.go('defaultpage');
			$ionicLoading.hide();
		}
		else{
			$scope.loginFailed = true;
			$ionicLoading.hide();
		}
	}
	$scope.signIn = function(email,password){
		$scope.loginFailed = false
		$ionicLoading.show({
			content: 'Loading',
			animation: 'fade-in',
			showBackdrop: true,
			maxWidth: 200,
			showDelay: 0
		});
		UserAuthService.logIn('password', {
		  email: email,
		  password: password
		}, successCallback);
	};
	
	setTimeout(function() {
        navigator.splashscreen ? navigator.splashscreen.hide() : '';
    }, 200);
});
app.controller('SignUpCtrl', function($scope, $timeout, $ionicLoading, $state, $ionicPopup, UserAuthService) {
	$scope.emailRegex = regexCollection.email;
	$scope.nameRegex = regexCollection.displayname;
	$scope.account = {};
	$scope.account.displayName = '';
	$scope.account.email = '';
	$scope.account.password = '';
	$scope.signUpFailed = false;
	$scope.errorMsg = "";
	var successCallback = function(data){
		//console.log(data);
		if(data.issuccess){			
			dataFill(data);
			$ionicLoading.hide();
			$state.go('defaultpage');
		}
		else{
			$scope.errorMsg = data.msg;
			$scope.signUpFailed = true;
			$ionicLoading.hide();
		}
	}
	$scope.signInFacebook = function(){
		initAuth.login('facebook', {
		  rememberMe: true,
		  scope: 'email,user_likes'
		});
	};
	$scope.signUp = function(email,displayName,password){
		$scope.signUpFailed = false;
		$ionicLoading.show({
			content: 'Loading',
			animation: 'fade-in',
			showBackdrop: true,
			maxWidth: 200,
			showDelay: 0
		});
		UserAuthService.signUp('password', {
		  email: email,
		  password: password,
		  displayname: displayName,
		}, successCallback);
	};
});
app.controller('RetrivePasswordCtrl', function($scope, $timeout, $ionicLoading, $state) {
	$scope.emailRegex = regexCollection.email;
});
app.controller('tabsController', function($scope, $timeout, $ionicLoading, $state) {
	$scope.goGuestRoom = function(){
		memberDetails.email = "guest";
	    memberDetails.displayname = "Guest-"+new Date().getTime();
	    memberDetails.uid = memberDetails.id = 0;
	    $state.go('worldchatroom');
	}
});