app.factory('SocketService', function ($rootScope, $state) {
  return {
    on: function (eventName, callback) {
      socket.on(eventName, function () {  
        var args = arguments;
        $rootScope.$apply(function () {
          callback.apply(socket, args);
        });
      });
    },
    emit: function (eventName, data, callback) {
      if (!isInternet){    
        //socket.removeListener('new note');
        //socket.removeListener('console');
        //socket.removeListener('initial notes');
        //socket.emit('unsubscribe', globalVars.curRoom);
        $state.go('nointernet');
        return false;
      }
      if(data){
        data['sessionId'] = sessionData.sessionId;
        data['tempSession'] = sessionData.tempSession;
      }
      socket.emit(eventName, data, function () {
        var args = arguments;
        $rootScope.$apply(function () {
          if (callback) {
            callback.apply(socket, args);
          }
        });
      })
    }
  };
});